Execute a synchronous workflow
curl --request POST \
--url https://v1.api.altostrat.io/workflows/sync/{workflowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_id": "res_abc123"
}
'import requests
url = "https://v1.api.altostrat.io/workflows/sync/{workflowId}"
payload = { "resource_id": "res_abc123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resource_id: 'res_abc123'})
};
fetch('https://v1.api.altostrat.io/workflows/sync/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Workflows
Execute a synchronous workflow
Executes a workflow that contains a sync_request_trigger and immediately returns the result. The workflow must be designed for synchronous execution, meaning it cannot contain long-running tasks like delays or iterators. The final node must be a text_transform node configured as the response.
POST
/
workflows
/
sync
/
{workflowId}
Execute a synchronous workflow
Authorizations
Standard JWT for user sessions obtained via Altostrat authentication.
Path Parameters
The prefixed ID of the workflow (e.g., fl_...).
Body
application/json
The JSON payload for the synchronous request. This will be available to the workflow under payload.
The body is of type object.
Response
The workflow executed successfully and returned a response. The schema of the response is determined by the final node in the workflow.
The response is of type object.
Was this page helpful?
⌘I